-- by modelleicher
-- www.schwabenmodding.de
-- Version 4
-- Version for FS17, unrealistic mass

FillTypeMassAdjustment = {};

function FillTypeMassAdjustment:loadMap(name)
	print("FillType Mass Adjustment (unrealistic Version) by modelleicher loaded");


	-- multiplier, all fruit mass values that are not found in the realMass Table (custom fill types) will be multiplied by that. Values above 1 increase the mass, values below 1 decrease it.
	multiplier = 0.01; -- Hier verändern, Wert von 1 = normale LS Werte, über 1 = schwerer (2 = 100% = etwa real) Werte unter 1, z.b. 0.1 dann nur ein Zehntel des normalen LS Werts usw.
	print("Filltype Mass Adjustment current Multiplier: "..tostring(multiplier))
	for k, v in pairs(FillUtil.fillTypeNameToDesc) do
		FillUtil.fillTypeNameToDesc[k].massPerLiter = FillUtil.fillTypeNameToDesc[k].massPerLiter * multiplier;	
		print("Fillable mass of Filltype "..tostring(k).." changed to "..tostring(FillUtil.fillTypeNameToDesc[k].massPerLiter*1000).." tons per 1000 Liter (according to multiplier)");
	end;
	print("FillTypeMassAdjustment all fillType mass values have been updated. Note: This Log entry should only exist once, if you have several of these please check to make sure you don't have several FillTypeMassAdjustment Versions in your Modfolder.")
end;
function FillTypeMassAdjustment:keyEvent(unicode, sym, modifier, isDown)
end;
function FillTypeMassAdjustment:update(dt)
end;
function FillTypeMassAdjustment:draw()
end;
function FillTypeMassAdjustment:deleteMap()
end;
function FillTypeMassAdjustment:mouseEvent(posX, posY, isDown, isUp, button)
end;

addModEventListener(FillTypeMassAdjustment);







